%define release_version %(echo %{version} | awk -F. '{print $1"."$2}')

Summary:        A library for weather information
Name:           libgweather4
Version:        4.3.2
Release:        4%{?dist}
License:        GPLv2+
URL:            https://wiki.gnome.org/Projects/LibGWeather
Source0:        https://download.gnome.org/sources/libgweather/%{release_version}/libgweather-%{version}.tar.xz

BuildRequires:  gcc gettext meson geocode-glib2 python3-gobject-base vala
BuildRequires:  pkgconfig(geocode-glib-2.0) pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(json-glib-1.0) pkgconfig(libsoup-3.0) pkgconfig(libxml-2.0)

%description
libgweather is a library to access weather information from online services for numerous locations.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for developing applications that use %{name}.

%prep
%autosetup -p1 -n libgweather-%{version}

%build
%meson -Dgtk_doc=false
%meson_build

%install
%meson_install

%find_lang %{name} --all-name

%files -f %{name}.lang
%license COPYING
%doc CONTRIBUTING.md NEWS README.md
%{_libdir}/libgweather-4.so.0*
%{_libdir}/girepository-1.0/GWeather-4.0.typelib
%dir %{_libdir}/libgweather-4
%{_libdir}/libgweather-4/Locations.bin
%dir %{_datadir}/libgweather-4
%{_datadir}/libgweather-4/Locations.xml
%{_datadir}/libgweather-4/locations.dtd
%{_datadir}/glib-2.0/schemas/org.gnome.GWeather4.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.GWeather4.gschema.xml

%files devel
%{_includedir}/libgweather-4.0
%{_libdir}/libgweather-4.so
%{_libdir}/pkgconfig/gweather4.pc
%{_datadir}/gir-1.0/GWeather-4.0.gir
%dir %{_datadir}/vala/
%dir %{_datadir}/vala/vapi/
%{_datadir}/vala/vapi/gweather4.deps
%{_datadir}/vala/vapi/gweather4.vapi

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.3.2-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.3.2-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.3.2-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Aug 21 2023 Wang Guodong <gordonwwang@tencent.com> - 4.3.2-1
- Upgrade to version 4.3.2

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.2.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.2.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 5 2022 Shuo Wang <abushwang@tencent.com> - 4.2.0-1
- initial build

